curl --request POST \
--url https://api.splose.com/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patientId": 1,
"locationId": 1,
"paymentMethodId": 1,
"amount": 193.99,
"paymentDate": "2024-03-01T00:00:00.000Z",
"paymentInvoices": [
{
"invoiceId": 1,
"amount": 193.99,
"xeroId": "<string>"
}
],
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.splose.com/v1/payments"
payload = {
"patientId": 1,
"locationId": 1,
"paymentMethodId": 1,
"amount": 193.99,
"paymentDate": "2024-03-01T00:00:00.000Z",
"paymentInvoices": [
{
"invoiceId": 1,
"amount": 193.99,
"xeroId": "<string>"
}
],
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patientId: 1,
locationId: 1,
paymentMethodId: 1,
amount: 193.99,
paymentDate: '2024-03-01T00:00:00.000Z',
paymentInvoices: [{invoiceId: 1, amount: 193.99, xeroId: '<string>'}],
xeroId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.splose.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'patientId' => 1,
'locationId' => 1,
'paymentMethodId' => 1,
'amount' => 193.99,
'paymentDate' => '2024-03-01T00:00:00.000Z',
'paymentInvoices' => [
[
'invoiceId' => 1,
'amount' => 193.99,
'xeroId' => '<string>'
]
],
'xeroId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/payments"
payload := strings.NewReader("{\n \"patientId\": 1,\n \"locationId\": 1,\n \"paymentMethodId\": 1,\n \"amount\": 193.99,\n \"paymentDate\": \"2024-03-01T00:00:00.000Z\",\n \"paymentInvoices\": [\n {\n \"invoiceId\": 1,\n \"amount\": 193.99,\n \"xeroId\": \"<string>\"\n }\n ],\n \"xeroId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.splose.com/v1/payments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"patientId\": 1,\n \"locationId\": 1,\n \"paymentMethodId\": 1,\n \"amount\": 193.99,\n \"paymentDate\": \"2024-03-01T00:00:00.000Z\",\n \"paymentInvoices\": [\n {\n \"invoiceId\": 1,\n \"amount\": 193.99,\n \"xeroId\": \"<string>\"\n }\n ],\n \"xeroId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patientId\": 1,\n \"locationId\": 1,\n \"paymentMethodId\": 1,\n \"amount\": 193.99,\n \"paymentDate\": \"2024-03-01T00:00:00.000Z\",\n \"paymentInvoices\": [\n {\n \"invoiceId\": 1,\n \"amount\": 193.99,\n \"xeroId\": \"<string>\"\n }\n ],\n \"xeroId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"paymentNumber": "RCPT-0001",
"amount": 193.99,
"patientId": 1,
"locationId": 1,
"paymentMethodId": 1,
"paymentDate": "2023-07-30T09:00:00.000Z",
"paymentInvoices": [
{
"invoiceId": 1,
"amount": 193.99,
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"creditAllocations": [],
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedAt": null,
"archived": false
}Create single payment for specific invoice
Create single payment for specific invoice
curl --request POST \
--url https://api.splose.com/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patientId": 1,
"locationId": 1,
"paymentMethodId": 1,
"amount": 193.99,
"paymentDate": "2024-03-01T00:00:00.000Z",
"paymentInvoices": [
{
"invoiceId": 1,
"amount": 193.99,
"xeroId": "<string>"
}
],
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.splose.com/v1/payments"
payload = {
"patientId": 1,
"locationId": 1,
"paymentMethodId": 1,
"amount": 193.99,
"paymentDate": "2024-03-01T00:00:00.000Z",
"paymentInvoices": [
{
"invoiceId": 1,
"amount": 193.99,
"xeroId": "<string>"
}
],
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patientId: 1,
locationId: 1,
paymentMethodId: 1,
amount: 193.99,
paymentDate: '2024-03-01T00:00:00.000Z',
paymentInvoices: [{invoiceId: 1, amount: 193.99, xeroId: '<string>'}],
xeroId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.splose.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'patientId' => 1,
'locationId' => 1,
'paymentMethodId' => 1,
'amount' => 193.99,
'paymentDate' => '2024-03-01T00:00:00.000Z',
'paymentInvoices' => [
[
'invoiceId' => 1,
'amount' => 193.99,
'xeroId' => '<string>'
]
],
'xeroId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/payments"
payload := strings.NewReader("{\n \"patientId\": 1,\n \"locationId\": 1,\n \"paymentMethodId\": 1,\n \"amount\": 193.99,\n \"paymentDate\": \"2024-03-01T00:00:00.000Z\",\n \"paymentInvoices\": [\n {\n \"invoiceId\": 1,\n \"amount\": 193.99,\n \"xeroId\": \"<string>\"\n }\n ],\n \"xeroId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.splose.com/v1/payments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"patientId\": 1,\n \"locationId\": 1,\n \"paymentMethodId\": 1,\n \"amount\": 193.99,\n \"paymentDate\": \"2024-03-01T00:00:00.000Z\",\n \"paymentInvoices\": [\n {\n \"invoiceId\": 1,\n \"amount\": 193.99,\n \"xeroId\": \"<string>\"\n }\n ],\n \"xeroId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patientId\": 1,\n \"locationId\": 1,\n \"paymentMethodId\": 1,\n \"amount\": 193.99,\n \"paymentDate\": \"2024-03-01T00:00:00.000Z\",\n \"paymentInvoices\": [\n {\n \"invoiceId\": 1,\n \"amount\": 193.99,\n \"xeroId\": \"<string>\"\n }\n ],\n \"xeroId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"paymentNumber": "RCPT-0001",
"amount": 193.99,
"patientId": 1,
"locationId": 1,
"paymentMethodId": 1,
"paymentDate": "2023-07-30T09:00:00.000Z",
"paymentInvoices": [
{
"invoiceId": 1,
"amount": 193.99,
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"creditAllocations": [],
"xeroId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedAt": null,
"archived": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Patient id
x > 01
Location id
x > 01
Payment method id
x > 01
Total payment amount, it should be the same as the sum of all paymentInvoice amount
193.99
Payment date
"2024-03-01T00:00:00.000Z"
Payments made to invoices
Show child attributes
Show child attributes
Xero batch payment id, only applicable for Xero batch payment
Response
Object with payment data.
Payment id
x > 01
Payment number
"RCPT-0001"
Total payment amount. 0 for credit allocation
193.99
The payment patient id
x > 01
The payment location id
x > 01
The payment method id, null for credit allocation
x > 01
Payment date
"2023-07-30T09:00:00.000Z"
Payments made to invoices
Show child attributes
Show child attributes
Credit allocated to invoices
Show child attributes
Show child attributes
[]
Xero batch payment id
Payment archive date time
null
Whether the payment has been archived